%global DIRVERSION %{version}

%global _hardened_build 1
%global debug_package %{nil}
%undefine _disable_source_fetch

Name: libsubstrings
Version: 0.50
Release: 100%{?dist}
Summary: Safe C-string handling library

License: Unlicense public domain (see unlicense.org)

Group: Development/Libraries
URL: https://universe2.us/substrings.html
Source0: https://github.com/Subsentient/substrings/archive/%{version}.tar.gz

BuildRequires: make
BuildRequires: gcc
BuildRequires: binutils

%description
A safe C string handling library, designed to be used in place of most standard C "string.h" functions.

%package devel
Summary: The development header and static library for SubStrings
Group: Development/Libraries
Requires: libsubstrings

%description devel
The development header and static library for SubStrings

%prep
%setup -q -n substrings-%{version}

%build
%{?set_build_flags}
make all CFLAGS="${CFLAGS} -std=gnu89 -pedantic -fPIC"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
install -m 0644 libsubstrings.a $RPM_BUILD_ROOT/%{_libdir}/
install -m 0755 libsubstrings.so.0.2 $RPM_BUILD_ROOT/%{_libdir}/
ln -s %{_libdir}/libsubstrings.so.0.2 $RPM_BUILD_ROOT/%{_libdir}/libsubstrings.so.0
ln -s %{_libdir}/libsubstrings.so.0.2 $RPM_BUILD_ROOT/%{_libdir}/libsubstrings.so
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/substrings
install -m 0644 substrings.h $RPM_BUILD_ROOT/%{_includedir}/substrings/

%files
%{_libdir}/libsubstrings.so
%{_libdir}/libsubstrings.so.0
%{_libdir}/libsubstrings.so.0.2

%files devel
%{_includedir}/substrings/substrings.h
%{_includedir}/substrings
%{_libdir}/libsubstrings.a

